## ide-recent-projects ide-recent-projects |

## Functions

IdeRecentProjects * | ide_recent_projects_new ()
void | ide_recent_projects_remove ()
gchar * | ide_recent_projects_find_by_directory ()

## Types and Values

#define | IDE_TYPE_RECENT_PROJECTS
#define | IDE_RECENT_PROJECTS_GROUP
#define | IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX
#define | IDE_RECENT_PROJECTS_BUILD_SYSTEM_GROUP_PREFIX
#define | IDE_RECENT_PROJECTS_BOOKMARK_FILENAME
| IdeRecentProjects

## Object Hierarchy

        GObject
        ╰── IdeRecentProjects

## Implemented Interfaces

IdeRecentProjects implements GListModel.

## Description

## Functions

### ide_recent_projects_new ()

    IdeRecentProjects *
    ide_recent_projects_new (void);

### ide_recent_projects_remove ()

    void
    ide_recent_projects_remove (IdeRecentProjects *self,
                                GList *project_infos);

Removes the provided projects from the recent projects file.

#### Parameters

self | An IdeRecentProjects |
project_infos | a GList of IdeProjectInfo. | [transfer none][element-type Ide.ProjectInfo]

### ide_recent_projects_find_by_directory ()

    gchar *
    ide_recent_projects_find_by_directory (IdeRecentProjects *self,
                                           const gchar *directory);

## Types and Values

### IDE_TYPE_RECENT_PROJECTS

    #define IDE_TYPE_RECENT_PROJECTS (ide_recent_projects_get_type())

### IDE_RECENT_PROJECTS_GROUP

    #define IDE_RECENT_PROJECTS_GROUP                     "X-GNOME-Builder-Project"

### IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX

    #define IDE_RECENT_PROJECTS_LANGUAGE_GROUP_PREFIX     "X-GNOME-Builder-Language:"

### IDE_RECENT_PROJECTS_BUILD_SYSTEM_GROUP_PREFIX

    #define IDE_RECENT_PROJECTS_BUILD_SYSTEM_GROUP_PREFIX "X-GNOME-Builder-Build-System:"

### IDE_RECENT_PROJECTS_BOOKMARK_FILENAME

    #define IDE_RECENT_PROJECTS_BOOKMARK_FILENAME         "recent-projects.xbel"

### IdeRecentProjects

    typedef struct _IdeRecentProjects IdeRecentProjects;